Bug 243875 - NFS option confusion when mounting same share multiple times
Summary: NFS option confusion when mounting same share multiple times
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-12 14:47 UTC by Mike McGrath
Modified: 2008-03-20 15:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-20 15:49:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike McGrath 2007-06-12 14:47:40 UTC
Description of problem:


When mounting the same share in two different locations on a local machine, 
with different mount options.  The one mounted first overwrites the options of 
the second.

Version-Release number of selected component (if applicable):
util-linux-2.13-0.46.fc6
nfs-utils-1.0.10-10.fc6
nfs-utils-lib-1.0.8-7.2

How reproducible:
Every time

Steps to Reproduce:
in fstab:
myserver:/vol/fedora/build/koji       /mnt/koji       nfs     ro,defaults     
0 0
myserver:/vol/fedora/build/koji       /mashroot/mnt/koji      nfs     
rw,defaults     0 0
  
Actual results:
/mnt/koji and /mashroot/mnt/koji/ are both mounted ro.  Also when running 
a 'mount' it appears the mount is mounted rw but it is a ro mount.  The 
reverse is also true if /mashroot/mnt/koji/ is mounted first.  

Expected results:
/mnt/koji should be mounted ro
/mashroot/mnt/koji should be mounted rw

Additional info:
This is a Fedora box and we can grant access if needed.

Comment 1 Mike McGrath 2007-06-12 14:56:41 UTC
It appears that mtab is reporting incorrectly but /proc/mounts is reporting 
correct.

Comment 2 Steve Dickson 2007-06-17 00:23:57 UTC
This broke back in the 2.6.18 kernel... and should be fixed in the
next main stream kernel release with the following commit:

commit 608a2896d6d9079b97715820ae8a5469e70bdecc
Author: Trond Myklebust <Trond.Myklebust@netapp.com>
Date:   Wed May 16 16:53:28 2007 -0400

    NFS: Error when mounting the same filesystem with different options
    
    Unless the user sets the NFS_MOUNT_NOSHAREDCACHE mount flag, we should
    return EBUSY if the filesystem is already mounted on a superblock that
    has set conflicting mount options.
    
    Signed-off-by: Trond Myklebust <Trond.Myklebust@netapp.com>

Which is relative to the NFS maintainer's tree... 

Its not clear where there will be any more kernel updates
for FC6. But if there is, I'll ask our kernel maintainers 
to include this patch. Note there also need to be an nfs-utils
update as well..





Note You need to log in before you can comment on or make changes to this bug.